FLAM® Issue Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000913FL51.1 FLCLpublic2018-04-18 18:432018-08-17 12:34
ReporterFalk Reichbott 
Assigned ToFalk Reichbott 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformGeneralOSGeneralOS VersionGeneral
Product Version5.1.16 
Target Version5.1.18Fixed in Version5.1.18 
Summary0000913: Add check for empty data elements in tale support
DescriptionFor XML prozessing it would be useful to produce an error or a warning if a element is empty (don't contain any data).

For this a min length check or something like this must be implemented.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001153)
Falk Reichbott (administrator)
2018-04-20 17:52
edited on: 2018-08-06 14:03

The '!' on a leaf can now be used to make a value in XML mandatory for a data field or attribute at write. Means a zero length value are not allowed if the '!' set in front of the leaf in the path at read. But this would only be a XML solution.

A general solution for each table format must be based on a defined minimal length for that column.

(0001175)
Falk Reichbott (administrator)
2018-08-17 12:34

Per column a minimal length of the external representation of the data is checked to ensure data in the external format

- Issue History
Date Modified Username Field Change
2018-04-18 18:43 Falk Reichbott New Issue
2018-04-18 18:43 Falk Reichbott Status new => assigned
2018-04-18 18:43 Falk Reichbott Assigned To => Falk Reichbott
2018-04-20 17:52 Falk Reichbott Note Added: 0001153
2018-08-06 14:03 Falk Reichbott Note Edited: 0001153 View Revisions
2018-08-17 12:34 Falk Reichbott Note Added: 0001175
2018-08-17 12:34 Falk Reichbott Status assigned => resolved
2018-08-17 12:34 Falk Reichbott Fixed in Version => 5.1.18
2018-08-17 12:34 Falk Reichbott Resolution open => fixed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker